Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Installation of oracle - Failed with error "Binary operator expected" #181

Open
sivamsailaja opened this Issue May 16, 2014 · 0 comments

Comments

Projects
None yet
2 participants

While trying to run "npm install oracle" it is failing to install with the below error. Is this because of node and node gyp version? How to get the node gyp for the installed node version?

npm install
npm http GET https://registry.npmjs.org/oracle
npm http 304 https://registry.npmjs.org/oracle

oracle@0.3.6 install /Users/s3kota/Documents/columbuscheckout/columbus/node_modules/oracle
node-gyp rebuild

/bin/sh: line 0: [: /Users/s3kota/opt/instantclient_11_2: binary operator expected
gyp: Call to 'if [ -z $OCI_LIB_DIR ]; then echo "/opt/instantclient/"; else echo $OCI_LIB_DIR; fi' returned exit status 0.
gyp ERR! configure error
gyp ERR! stack Error: gyp failed with exit code: 1
gyp ERR! stack at ChildProcess.onCpExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:337:16)
gyp ERR! stack at ChildProcess.EventEmitter.emit (events.js:98:17)
gyp ERR! stack at Process.ChildProcess._handle.onexit (child_process.js:797:12)
gyp ERR! System Darwin 13.1.0
gyp ERR! command "node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
gyp ERR! cwd /Users/s3kota/Documents/columbuscheckout/columbus/node_modules/oracle
gyp ERR! node -v v0.10.26
gyp ERR! node-gyp -v v0.12.2
gyp ERR! not ok
npm ERR! oracle@0.3.6 install: node-gyp rebuild
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the oracle@0.3.6 install script.
npm ERR! This is most likely a problem with the oracle package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! node-gyp rebuild
npm ERR! You can get their info via:
npm ERR! npm owner ls oracle
npm ERR! There is likely additional logging output above.

npm ERR! System Darwin 13.1.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/s3kota/Documents/columbuscheckout/columbus
npm ERR! node -v v0.10.26
npm ERR! npm -v 1.4.3
npm ERR! code ELIFECYCLE
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /Users/s3kota/Documents/columbuscheckout/columbus/npm-debug.log
npm ERR! not ok code 0

@raztus raztus added the Install Issue label Nov 5, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment